--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Similar to Query#update, but acts on a duplicate.
- !ruby/struct:SM::Flow::P 
  body: "@param [Query, Hash] other"
- !ruby/struct:SM::Flow::VERB 
  body: "  other query to merge with\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Query]"
- !ruby/struct:SM::Flow::VERB 
  body: "  updated duplicate of original query\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query#merge
is_singleton: false
name: merge
params: (other)
visibility: public
